Loading...
Searching...
No Matches
matplotlibcpp::detail Namespace Reference

## Classes

struct | _interpreter
struct | is_callable
struct | is_callable_impl
struct | is_callable_impl< false, T >
struct | is_callable_impl< true, T >
struct | plot_impl
struct | plot_impl< std::false_type >
struct | plot_impl< std::true_type >
struct | select_npy_type
struct | select_npy_type< bool >
struct | select_npy_type< double >
struct | select_npy_type< float >
struct | select_npy_type< int16_t >
struct | select_npy_type< int32_t >
struct | select_npy_type< int64_t >
struct | select_npy_type< int8_t >
struct | select_npy_type< long long >
struct | select_npy_type< uint16_t >
struct | select_npy_type< uint32_t >
struct | select_npy_type< uint64_t >
struct | select_npy_type< uint8_t >
struct | select_npy_type< unsigned long long >

## Typedefs

template<typename T>
using | is_function = typename std::is_function<std::remove_pointer<std::remove_reference<T>>>::type

## Functions

template<typename Numeric>
PyObject * | get_array (const std::vector< Numeric > &v)
template<typename Numeric>
PyObject * | get_2darray (const std::vector<::std::vector< Numeric > > &v)
PyObject * | get_array (const std::vector< std::string > &strings)
template<typename Numeric>
PyObject * | get_listlist (const std::vector< std::vector< Numeric > > &ll)
void | imshow (void *ptr, const NPY_TYPES type, const int rows, const int columns, const int colors, const std::map< std::string, std::string > &keywords, PyObject **out)

## Variables

static std::string | s_backend

## Typedef Documentation

## is_function

template<typename T>

using matplotlibcpp::detail::is_function = typename std::is_function<std::remove_pointer<std::remove_reference<T>>>::type

## Function Documentation

## get_2darray()

template<typename Numeric>

PyObject * matplotlibcpp::detail::get_2darray | ( | const std::vector<::std::vector< Numeric > > & | v | ) |

Here is the caller graph for this function:

## get_array() [1/2]

template<typename Numeric>

PyObject * matplotlibcpp::detail::get_array | ( | const std::vector< Numeric > & | v | ) |

Here is the caller graph for this function:

## get_array() [2/2]

PyObject * matplotlibcpp::detail::get_array | ( | const std::vector< std::string > & | strings | ) |

inline

## get_listlist()

template<typename Numeric>

PyObject * matplotlibcpp::detail::get_listlist | ( | const std::vector< std::vector< Numeric > > & | ll | ) |

Here is the call graph for this function:

## imshow()

void matplotlibcpp::detail::imshow | ( | void * | ptr,
|  | const NPY_TYPES | type,
|  | const int | rows,
|  | const int | columns,
|  | const int | colors,
|  | const std::map< std::string, std::string > & | keywords,
|  | PyObject ** | out )

inline

Here is the call graph for this function:

## Variable Documentation

## s_backend

std::string matplotlibcpp::detail::s_backend

static